Skip to main content
GET
/
projects
/
{projectId}
/
adoption
/
metrics
Get adoption metrics
curl --request GET \
  --url https://devtune.ai/api/v2/projects/{projectId}/adoption/metrics \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "metrics": [
      {
        "domain": "<string>",
        "isPrimary": true,
        "metric": "<string>",
        "source": "<string>",
        "value": 123,
        "capturedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "domains": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "domain": "<string>",
        "isPrimary": true
      }
    ]
  },
  "meta": {
    "timestamp": "2023-11-07T05:31:56Z",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.

Path Parameters

projectId
string<uuid>
required

Query Parameters

daysBack
integer
default:90
Required range: 1 <= x <= 365
metric
enum<string>
Available options:
github_stars,
weekly_downloads

Response

Adoption metrics data

data
object
meta
object